org.kie.internal.builder.conf

## Enum LanguageLevelOption

- java.lang.Object
- - java.lang.Enum<LanguageLevelOption>
  - - org.kie.internal.builder.conf.LanguageLevelOption

- All Implemented Interfaces:
    Serializable, Comparable<LanguageLevelOption>, org.kie.api.conf.Option, KnowledgeBuilderOption, SingleValueKnowledgeBuilderOption

      public enum LanguageLevelOption
      extends Enum<LanguageLevelOption>
      implements SingleValueKnowledgeBuilderOption

  A class for the language level configuration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DRL5`
    `DRL6`
    `DRL6_STRICT`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_NAME` The property name for the language level

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPropertyName()`
    `boolean` | `useJavaAnnotations()`
    `static LanguageLevelOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LanguageLevelOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DRL5

          public static final LanguageLevelOption DRL5

    - #### DRL6

          public static final LanguageLevelOption DRL6

    - #### DRL6_STRICT

          public static final LanguageLevelOption DRL6_STRICT

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      The property name for the language level
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static LanguageLevelOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LanguageLevelOption c : LanguageLevelOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LanguageLevelOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### useJavaAnnotations

          public boolean useJavaAnnotations()

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.